Skip to main content
GET
List all submissions
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.

Query Parameters

submitted_after
string

Only submissions at or after this time (inclusive). An ISO 8601 date-time, or a YYYY-MM-DD date, which means 00:00 UTC that day.

submitted_before
string

Only submissions before this time (exclusive). An ISO 8601 date-time, or a YYYY-MM-DD date, which means 00:00 UTC that day.

order
enum<string>
default:asc

Sort direction by creation time, asc (oldest first) or desc (newest first). Defaults to asc.

Available options:
asc,
desc
page_number
integer

Page of results to retrieve, starting from 1. When omitted, all results are returned in one response and page_size is ignored.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

Response

OK - Request succeeded

submissions
object[]
pagination
object
total_count
integer